package com.njyunzhi.servsummary.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njyunzhi.servsummary.common.BaseController;
import com.njyunzhi.servsummary.common.ResponseBean;
import java.util.List;

import com.njyunzhi.servsummary.common.SMSCaptcha;
import com.njyunzhi.servsummary.common.StringUtils;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.njyunzhi.servsummary.entity.SysSms;
import com.njyunzhi.servsummary.service.SysSmsService;

 /**
 * 系统短信;(sys_sms)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-11-22
 */
@Api(tags = "系统短信对象功能接口")
@RestController
@RequestMapping("/")
public class SysSmsController extends BaseController {
    
    @Autowired
    private SysSmsService sysSmsService;

    @Autowired
     SMSCaptcha smsCaptcha;
    
    /** 
     * 获取短信验证码
     *
     * @param phone 手机号
     * @return 实例对象
     */
    @ApiOperation("获取短信验证码")
    @PostMapping("/sms-captcha")
    public ResponseBean getSmsCaptcha(@ApiParam("手机号") @RequestParam String phone) throws Exception {
        if (StringUtils.isEmpty(phone)) {
            return ResponseBean.error("手机号不能为空");
        }

        String captcha = smsCaptcha.randCaptcha(6);
        smsCaptcha.send(phone, captcha);
        return ResponseBean.success("success");
    }

}