package com.njyunzhi.servsummary.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njyunzhi.servsummary.common.BaseController;
import com.njyunzhi.servsummary.common.ResponseBean;
import java.util.List;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;
import com.njyunzhi.servsummary.entity.SysUser;
import com.njyunzhi.servsummary.service.SysUserService;

 /**
 * 系统用户;(sys_user)表控制层
 * @author : http://njyunzhi.com
 * @date : 2022-11-22
 */
@Api(tags = "系统用户对象功能接口")
@RestController
@RequestMapping("/")
public class SysUserController extends BaseController {
    
    @Autowired
    private SysUserService sysUserService;
    
    /** 
     * 当前人员
     *
     * @param
     * @return 实例对象
     */
    @ApiOperation("当前人员")
    @GetMapping("/sysUser/current")
    public ResponseBean current() throws Exception {
        return ResponseBean.success(currentUser());
    }
    
//    /**
//     * 分页查询
//     *
//     * @param pageNum 当前页码
//     * @param pageSize 每页条数
//     * @return 查询结果
//     */
//    @ApiOperation("分页查询")
//    @GetMapping("/sysUser")
//    public ResponseBean list(@ApiParam("页码") @RequestParam(value ="pageNum",defaultValue = "1") Integer pageNum,
//                            @ApiParam("单页数据量") @RequestParam(value ="pageSize",defaultValue = "10") Integer pageSize) throws Exception {
//
//        IPage<SysUser> pg = new Page<>(pageNum, pageSize);
//        // QueryWrapper<SysUser> queryWrapper = new QueryWrapper<>();
//        // queryWrapper.orderByDesc("create_date");
//        IPage<SysUser> result = sysUserService.page(pg);
//
//        return ResponseBean.success(result);
//    }
//
//    /**
//     * 新增数据
//     *
//     * @param sysUser 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("新增数据")
//    @PostMapping("/sysUser")
//    public ResponseBean add(@ApiParam("对象实体") @RequestBody SysUser sysUser) throws Exception {
//        sysUserService.save(sysUser);
//        return ResponseBean.success(sysUser);
//    }
//
//    /**
//     * 更新数据
//     *
//     * @param sysUser 实例对象
//     * @return 实例对象
//     */
//    @ApiOperation("更新数据")
//    @PutMapping("/sysUser/{id}")
//    public ResponseBean edit(@ApiParam("对象实体") @RequestBody SysUser sysUser,
//                            @ApiParam("对象ID") @PathVariable String id ) throws Exception {
//        sysUserService.updateById(sysUser);
//        return ResponseBean.success(sysUser);
//    }
//
//    /**
//     * 通过主键删除数据
//     *
//     * @param userId 主键
//     * @return 是否成功
//     */
//    @ApiOperation("通过主键删除数据")
//    @DeleteMapping("/sysUser/{id}")
//    public ResponseBean deleteById(@ApiParam("对象ID") @PathVariable String id){
//        sysUserService.removeLogicById(id);
//        return ResponseBean.success("success");
//    }
}