package com.njyunzhi.servsummary.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.Date;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

 /**
 * 服务表;
 * @author : http://www.chiner.pro
 * @date : 2022-11-22
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "服务表",description = "")
@TableName("ta_service")
public class TaService implements Serializable,Cloneable{
    /** 服务ID */
    @ApiModelProperty(name = "服务ID",notes = "")
    @TableId(value = "service_id", type = IdType.ASSIGN_UUID)
    private String serviceId ;
    /** 名称 */
    @ApiModelProperty(name = "名称",notes = "")
    private String name ;
    /** 环境类型;dev,prod,stage */
    @ApiModelProperty(name = "环境类型",notes = "dev,prod,stage")
    private String envType ;
    /** 服务类型;java,db,h5 */
    @ApiModelProperty(name = "服务类型",notes = "java,db,h5")
    private String servType ;
    /** 所属项目 */
    @ApiModelProperty(name = "所属项目",notes = "")
    private String projectId ;
    /** 所在机器 */
    @ApiModelProperty(name = "所在机器",notes = "")
    private String ecsId ;
    /** OSS Bucket */
    @ApiModelProperty(name = "OSS Bucket",notes = "")
    private String bucketId ;
    /** 函数服务 */
    @ApiModelProperty(name = "函数服务",notes = "")
    private String fcServer ;
    /** FC函数 */
    @ApiModelProperty(name = "FC函数",notes = "")
    private String fcFunction ;
    /** 服务地址 */
    @ApiModelProperty(name = "服务地址",notes = "")
    private String url ;
    /** 是否SSL */
    @ApiModelProperty(name = "是否SSL",notes = "")
    private Integer isSsl ;
    /** 端口 */
    @ApiModelProperty(name = "端口",notes = "")
    private Integer port ;
    /** 部署目录 */
    @ApiModelProperty(name = "部署目录",notes = "")
    private String deployDir ;
    /** 系统服务 */
    @ApiModelProperty(name = "系统服务",notes = "")
    private String sysService ;
    /** 启动脚本 */
    @ApiModelProperty(name = "启动脚本",notes = "")
    private String serviceBin ;
    /** 账户 */
    @ApiModelProperty(name = "账户",notes = "")
    private String account ;
    /** 密码 */
    @ApiModelProperty(name = "密码",notes = "")
    private String password ;
    /** 备注 */
    @ApiModelProperty(name = "备注",notes = "")
    private String remark ;
    /** 状态 */
    @ApiModelProperty(name = "状态",notes = "")
    private Integer status ;
    /** 创建时间 */
    @ApiModelProperty(name = "创建时间",notes = "")
    private LocalDateTime createDate ;

}